gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Misc.Arrow

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

Displays an arrow

Synopsis

- data Arrow
- class MiscClass o => ArrowClass o
- castToArrow :: GObjectClass obj => obj -> Arrow
- gTypeArrow :: GType
- toArrow :: ArrowClass o => o -> Arrow
- data ArrowType
  - = ArrowUp
  - | ArrowDown
  - | ArrowLeft
  - | ArrowRight
  - | ArrowNone
- data ShadowType
  - = ShadowNone
  - | ShadowIn
  - | ShadowOut
  - | ShadowEtchedIn
  - | ShadowEtchedOut
- arrowNew :: ArrowType -> ShadowType -> IO Arrow
- arrowSet :: ArrowClass self => self -> ArrowType -> ShadowType -> IO ()
- arrowArrowType :: ArrowClass self => Attr self ArrowType
- arrowShadowType :: ArrowClass self => Attr self ShadowType

# Detail

`Arrow` should be used to draw simple arrows that need to point in one of the four cardinal directions (up, down, left, or right). The style of the arrow can be one of shadow in, shadow out, etched in, or etched out. Note that these directions and style types may be ammended in versions of Gtk to come.

`Arrow` will fill any space alloted to it, but since it is inherited from `Misc`, it can be padded and/or aligned, to fill exactly the space the programmer desires.

Arrows are created with a call to `arrowNew`. The direction or style of an arrow can be changed after creation by using `arrowSet`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Misc
     | +----Arrow

# Types

data Arrow

Instances

Eq Arrow |
Ord Arrow |
GObjectClass Arrow |
ArrowClass Arrow |
MiscClass Arrow |
WidgetClass Arrow |
ObjectClass Arrow |

class MiscClass o => ArrowClass o

Instances

ArrowClass Arrow |

castToArrow :: GObjectClass obj => obj -> Arrow

gTypeArrow :: GType

toArrow :: ArrowClass o => o -> Arrow

data ArrowType

Constructors

ArrowUp |
ArrowDown |
ArrowLeft |
ArrowRight |
ArrowNone |

Instances

Enum ArrowType |
Eq ArrowType |
Show ArrowType |

data ShadowType

Shadow types

Constructors

ShadowNone |
ShadowIn |
ShadowOut |
ShadowEtchedIn |
ShadowEtchedOut |

Instances

Enum ShadowType |
Eq ShadowType |
Show ShadowType |

# Constructors

arrowNew :: ArrowType -> ShadowType -> IO Arrow

Creates a new arrow widget.

# Methods

arrowSet :: ArrowClass self => self -> ArrowType -> ShadowType -> IO ()

Sets the direction and style of the `Arrow`.

# Attributes

arrowArrowType :: ArrowClass self => Attr self ArrowType

The direction the arrow should point.

Default value: `ArrowRight`

arrowShadowType :: ArrowClass self => Attr self ShadowType

Appearance of the shadow surrounding the arrow.

Default value: `ShadowOut`